/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.anl.aps.dm.portal.exceptions;


import gov.anl.aps.dm.portal.constants.DmStatus;

/**
 * Object already exists exception class.
 */
public class InvalidDate extends DmPortalException 
{

    /**
     * Constructor.
     */
    public InvalidDate() 
    {
        super();
        setErrorCode(DmStatus.DM_INVALID_DATE);
    }

    /**
     * Constructor.
     *
     * @param message Error message
     */
    public InvalidDate(String message) 
    {
        super(message);
        setErrorCode(DmStatus.DM_INVALID_DATE);
    }

    /**
     * Constructor.
     *
     * @param throwable Throwable object
     */
    public InvalidDate(Throwable throwable) 
    {
        super(throwable);
        setErrorCode(DmStatus.DM_INVALID_DATE);
    }

    /**
     * Constructor.
     *
     * @param message Error message
     * @param throwable Throwable object
     */
    public InvalidDate(String message, Throwable throwable) 
    {
        super(message, throwable);
        setErrorCode(DmStatus.DM_INVALID_DATE);
    }

}