/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.anl.aps.dm.portal.model.beans;

import gov.anl.aps.dm.portal.model.entities.UserExperimentRole;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.NoResultException;
import javax.persistence.PersistenceContext;

/**
 *
 * @author sveseli
 */
@Stateless
public class UserExperimentRoleFacade extends AbstractFacade<UserExperimentRole>
{
    @PersistenceContext(unitName = "DmWebPortalPU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public UserExperimentRoleFacade() {
        super(UserExperimentRole.class);
    }
    
    public UserExperimentRole findByUserExperimentRole(int userId, int experimentId, int roleId) {
        try {
            return (UserExperimentRole) em.createNamedQuery("UserExperimentRole.findByUserExperimentRole")
                    .setParameter("userId", userId)
                    .setParameter("experimentId", experimentId)
                    .setParameter("roleTypeId", roleId)
                    .getSingleResult();
        }
        catch (NoResultException ex) {
        }
        return null;
    }
}
