#!/usr/bin/env python

from fileTransferPlugin import FileTransferPlugin
class RsyncFileTransferPlugin(FileTransferPlugin):

    COMMAND = 'rsync -arvlPR'

    def __init__(self, src=None, dest=None):
        FileTransferPlugin.__init__(self, self.COMMAND, src, dest)

#######################################################################
# Testing.
if __name__ == '__main__':
    ft = RsyncFileTransferPlugin('/tmp/xyz', '/tmp/xyz2')
    ft.start()
    print 'StdOut: ', ft.getStdOut()
    print 'StdErr: ', ft.getStdErr()
    print 'Exit Status: ', ft.getExitStatus()
