#!/usr/bin/env python

from dm.common.constants import dmStatus

DM_EXCEPTION_MAP = {
    dmStatus.DM_ERROR : 'dmException.DmException',
    dmStatus.DM_INTERNAL_ERROR : 'internalError.InternalError',
    dmStatus.DM_COMMUNICATION_ERROR : 'communicationError.CommunicationError',
    dmStatus.DM_CONFIGURATION_ERROR : 'configurationError.ConfigurationError',
    dmStatus.DM_AUTHORIZATION_ERROR : 'authorizationError.AuthorizationError',
    dmStatus.DM_AUTHENTICATION_ERROR : 'authenticationError.AuthenticationError',
    dmStatus.DM_DB_ERROR : 'dbError.DbError',
    dmStatus.DM_URL_ERROR : 'urlError.UrlError',
    dmStatus.DM_INVALID_ARGUMENT: 'invalidArgument.InvalidArgument',
    dmStatus.DM_INVALID_REQUEST: 'invalidRequest.InvalidRequest',
    dmStatus.DM_INVALID_SESSION: 'invalidSession.InvalidSession',
    dmStatus.DM_COMMAND_FAILED: 'commandFailed.CommandFailed',
    dmStatus.DM_OBJECT_NOT_FOUND : 'objectNotFound.ObjectNotFound',
    dmStatus.DM_OBJECT_ALREADY_EXISTS: 'objectAlreadyExists.ObjectAlreadyExists',
    dmStatus.DM_INVALID_OBJECT_STATE: 'invalidObjectState.InvalidObjectState',
}

