#!/usr/bin/env python

from dm.common.cli.dmRestCli import DmRestCli
from dm.common.utility.configurationManager import ConfigurationManager

class DsWebServiceCli(DmRestCli):
    """ DM DS web service cli class. """

    def __init__(self, validArgCount=0):
        DmRestCli.__init__(self, validArgCount)

    def getDefaultServiceHost(self):
        return ConfigurationManager.getInstance().getDsWebServiceHost()

    def getDefaultServicePort(self):
        return ConfigurationManager.getInstance().getDsWebServicePort()
                        `
